Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 508442 - app-office/akonadi-server >= 1.12.0 crash on startup after upgrade
Summary: app-office/akonadi-server >= 1.12.0 crash on startup after upgrade
Status: RESOLVED DUPLICATE of bug 506608
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: AMD64 Linux
: Normal major (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-22 17:33 UTC by Stephan Menzel
Modified: 2014-04-22 17:49 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Menzel 2014-04-22 17:33:35 UTC
After upgrade to akonadi-server greater than 1.12.0, akonadi crashes on startup, rendering all akonadi dependent applications unusable. This includes Kontact and Kmail, which are essentials. By looking at the stack trace one has to assume the problem is either in QtCore or akonadi itself. Since QtCore was not changed during upgrade or downgrade it seems to be safe to guess the latter.

Downgrade to 1.11.x makes it work again but blocks kde 4.13. 
I thought I file a bug even though KDE already has a bug on it ( https://bugs.kde.org/show_bug.cgi?id=332781 ) but have closed it without a solution. However, stacktrace and problem description are accurate.



Reproducible: Always

Steps to Reproduce:
1. behold akonadi not running in system tray after upgrade
2. enter "akonadictl start"
3. watch stacktrace and unsuccessful start sequence
Actual Results:  
0: akonadiserver(_Z11akBacktracev+0x37) [0x464b57]
1: akonadiserver() [0x464db2]
2: /lib64/libc.so.6(+0x35320) [0x7f7c023c9320]
3: /lib64/libc.so.6(gsignal+0x39) [0x7f7c023c92a9]
4: /lib64/libc.so.6(abort+0x148) [0x7f7c023ca608]
5: /usr/lib64/qt4/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x64) [0x7f7c03f300b4]
6: akonadiserver(_ZN15FileDebugStream9writeDataEPKcx+0x9d) [0x46710d]
7: /usr/lib64/qt4/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0xb0) [0x7f7c03fdd420]
8: /usr/lib64/qt4/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x11e) [0x7f7c03ff844e]
9: akonadiserver(_ZN7Akonadi6Server13AkonadiServer4initEv+0x5fa) [0x46abfa]
10: /usr/lib64/qt4/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x256) [0x7f7c0407d416]
11: /usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x6d) [0x7f7c0405f4bd]
12: /usr/lib64/qt4/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x1ed) [0x7f7c04063ddd]
13: /usr/lib64/qt4/libQtCore.so.4(+0x1da5b3) [0x7f7c040955b3]
14: /usr/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x156) [0x7f7c020a44f6]
15: /usr/lib64/libglib-2.0.so.0(+0x52868) [0x7f7c020a4868]
16: /usr/lib64/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7f7c020a490c]
17: /usr/lib64/qt4/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x65) [0x7f7c04094675]
18: /usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x2f) [0x7f7c0405d5ff]
19: /usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x17d) [0x7f7c0405d8fd]
20: /usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x8b) [0x7f7c04064c7b]
21: akonadiserver(main+0x1bf) [0x45e25f]
22: /lib64/libc.so.6(__libc_start_main+0xf5) [0x7f7c023b5a65]
23: akonadiserver() [0x45e9d8]


Expected Results:  
akonadi starts

https://bugs.kde.org/show_bug.cgi?id=332781
Comment 1 Johannes Huber gentoo-dev 2014-04-22 17:49:22 UTC

*** This bug has been marked as a duplicate of bug 506608 ***